// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Basic.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

#ifndef _BASIC_H_
#define _BASIC_H_

// If 0, compiled presets are in internal memory.
// If 1, compiled prestes are in flash memory
#define PRESETS_IN_FLASH 0

#ifdef __ECC__

#include "AudioProcessing.h"

//Function to do processing (in main.c)
void DoProcessing(int *pInputBuffer,int nChannels);

//Function to do control code (in DoControlCode.c)
void DoControlCode(void);

//Function to apply a preset (used by DoControlCode.c)
int SYS_ApplyPreset(unsigned int nPresetOffset);

//exported driver interfaces
void SYS_Init(void);

#include "AudioIOModes.h"

//Default audio IO mode
#define DEFAULT_AUDIO_IO_MODE AudioIOMode_ADC
//Audio driver exported functions
int SYSAudio_Init(AudioIOMode iAudioIOMode);
void SYSAudio_Clear(void);
void SYSAudio_WriteOutput(
    const AMF_Signal *pAudioL,
    const AMF_Signal *pAudioR,
    unsigned int nFlags);

// Macro to specify no change in an audio channel
#define FW_ADEV_NOCHANGE ((AMF_Signal *)(-1))

#ifndef MIN
#define MIN(x,y) (((x)<(y))?(x):(y))
#endif

#ifndef MAX
#define MAX(x,y) (((x)>(y))?(x):(y))
#endif

#endif
#endif
