// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/DoControlCode.c#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $


/* This file is the location where you should put your control code.  An example control code
   that uses compiled presets is given below for the SimpleWithPresets.vas example system.
*/

#include "Basic.h"
#include "VALayouts.h"              /* In VAGenerated/ directory */
#include "VALayout1Presets.h"       /* In VAGenerated/ directory */

float debugbuffer[50];

#ifdef SIMPLE_WITH_PRESETS  /* Control code for example layout "SimpleWithPresets" */

#ifndef NO_OPTIMIZE
#pragma optimize_for_space
#endif
void DoControlCode(void) {
#define SECONDS_PER_PRESET 5 /* 5 seconds for each preset */
    static int nextPresetChangeTick = 0;
    static int currentPreset = 0;
    static int presetOffsets[] = {Layout1_PRESET_LeftChannelOnly,
                                  Layout1_PRESET_Minus3dB,
                                  Layout1_PRESET_RightChannelOnly};
    if (Layout1.nTicks > nextPresetChangeTick) {
        currentPreset = (currentPreset + 1) % (sizeof(presetOffsets)/sizeof(int));
        SYS_ApplyPreset(presetOffsets[currentPreset]);
        nextPresetChangeTick += (SECONDS_PER_PRESET *
                                 (Layout1.iSampleRate/Layout1.topLevelGrouping.tickSize));
    }
}

#else

void DoControlCode(void) {
}

#endif
