// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Drivers/Audio/SPDIF_Init.c#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

/******************************************************************************************************************
    
    
     Owner:            Analog Devices Inc

    File Group:        Visual Audio Platform Library
    File name:        SPDIF_Init.c
      Description:    Initialize the SPDIF device

    Revision:

    E. Yin            30 Aug 2005        Initial Revision
******************************************************************************************************************/
#include "Driver.h"    //driver common header file
#include "AudioDriverPrivate.h"

#if defined(DATA_FORMAT_LJ)
#define DIT_DATA_FORMAT DIT_IN_LJ   //left justifyied
#elif defined(DATA_FORMAT_I2S)
#define DIT_DATA_FORMAT DIT_IN_I2S   //left justifyied
#else
#error "No serial data format defined in driver.h!"
#endif

//This is only interface exported to the audio driver's initialization routine. 
//The audio driver do not need to know whether the SPDID device is external or internal, it
//calls this function to initialize the SPDIF
/////////////////////////////////////////////////////////////////////
//    SPDIF_Init
//        Initialize the SPDIF device
//
//    Parameter
//        None
//    
//    Return
//        true - SPDIF device gets initialized 
//        false - No SPDIF device is supported or failed to initialize
/////////////////////////////////////////////////////////////////////
bool SPDIF_Init(void)
{
    //Parity error control:replaced invalid sample with zeros
    //Lock error control: soft mute
    WRPORT(DIRCTL) = DIR_BIPHASE1|DIR_LOCK0|DIR_LOCK1;

    //Set up the on-chip SPDIF Transmitter in I2S format
    WRPORT(DITCTL) = (DIT_EN|DIT_DATA_FORMAT|DIT_AUTO);   

    return true;
}



