// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Drivers/Utilities/SPIDriver.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

/******************************************************************************************************************
    
    
     Owner:            Analog Devices Inc

    File Group:        Visual Audio Platform Library
    File name:        SPI_Driver.h
      Description:    Generic SPI interfaces

    Revision:

    E. Yin            29 Aug 2005        Initial Revision
******************************************************************************************************************/
#ifndef __SPI_DRIVER_H__
#define __SPI_DRIVER_H__

typedef struct _tagSPI_Param{
    unsigned int unBaudrate;     //The baudrate of the SPI
    unsigned int unSPIFlag;
    unsigned int unSPIControl;   //This value is actually used for setting up the SPICTL register
    unsigned int unReserved;    //reserved at the time of development
} SPIConfigParam;


void SPI_Init(SPIConfigParam *pSPI_Config_Param);
void SPI_Clear(void);
void SPI_Write_16Bit_Words(const unsigned short *pData, const unsigned int unSize);
void SPI_Write_16Bit_Word(const unsigned short *p);

#endif //__SPI_DRIVER_H__
