/******************************************************************************************************************

    Copyright:      Analog Devices (c) 2005
    Owner:          Analog Devices Inc

    File name:      setupPLL.asm
    Description:    Function to setup the PLL

******************************************************************************************************************
// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Drivers/Utilities/setupPLL.asm#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

 *
 *  Revision:
 *
 *  B. Mitchell     18 Oct 2005     Initial Revision
 ******************************************************************************************************************/



#include <asm_sprt.h>
#include <def21369.h>

.section/pm seg_pmco;

.GLOBAL _setupPLL;

// r4 - PLL multiplier setting
// r8 - PLL divider setting
// r12 - SDRAM divider setting
_setupPLL:
    entry;
    changePLL:

    r0=dm(PMCTL);

    // Remove old PLL and SDRAM settings
    r1=0xFFE3F000;
    r0=r1 and r0;

    // Set the Core clock (CCLK) to SDRAM clock (SDCLK) ratio
    r0=r0 or r12;

    // Set the Core clock (CCLK) Divider
    r0=r0 or r8;

    // Set the Core clock (CCLK) Multiplier
    r0=r0 or r4;

    // Enable the divisors (set DIVEN)
    r0=bset r0 by 9;
    dm(PMCTL) = r0;

    // Place the PLL in bypass mode to lock the new divisor (set PLLBP)
    r0=bclr r0 by 9;
    r0=bset r0 by 15;
    dm(PMCTL) = r0;

     // Wait for at least 4096 cycles for the pll to lock
    lcntr = 5000, do __pllloop until lce;
__pllloop:     nop;

    r0 = dm(PMCTL);
    r0=bclr r0 by 15;
    dm(PMCTL) = r0;
    exit;
_setupPLL.end:


