// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/common/layoutsupport/2.5.0/Source/AMF_Copier.c#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

#include "AMF_Copier.h"

#if    1    // No assembly

#ifdef __ADSPBLACKFIN__
// Blackfin version 
#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
static SEG_MOD_FAST_CODE void AMF_Copier_Render(AMF_Copier * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    int i;
    AMF_Signal *in = buffers[0];
    AMF_Signal *out = buffers[1];
    if (in == out)
        return;
    for (i=0; i<tickSize; i++) 
        out[i] = in[i];
}
#else // SHARC version
#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
static SEG_MOD_FAST_CODE void AMF_Copier_Render(AMF_Copier * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    int i;
    AMF_Signal *in = buffers[0];
    AMF_Signal *out = buffers[1];
    if (in == out)
        return;
#pragma SIMD_for
    for (i=0; i<tickSize; i++) 
        out[i] = in[i];
}
#endif // SHARC version

#endif

/*
 * Module baseclass structure describing the module environment.
 */
SEG_MOD_SLOW_CONST const AMF_ModuleClass AMFClassCopier = {
    
    /* Flags */
    0,
     
    /* Render function */
    (AMF_RenderFunction)AMF_Copier_Render,  // render function 
    
    /* Default bypass */
    (void *)0,

    /* Input descriptor - 1 input, and it is mono. */
    1, 0,

    /* Output descriptor - 1 output, and it is mono. */
    1, 0,
};







