// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/common/layoutsupport/2.5.0/Source/AMF_Copier_C.c#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $


#include "AMF_Copier_C.h"

#if    1    // No assembly

#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
static SEG_MOD_FAST_CODE void AMF_Copier_C_Render(AMF_Copier_C * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    AMF_Signal *in = buffers[0];
    AMF_Signal *out = buffers[1];
    out[0] = in[0];
}

#endif

/*
 * Module baseclass structure describing the module environment.
 */
SEG_MOD_SLOW_CONST const AMF_ModuleClass AMFClassCopier_C = {
    
    /* Flags */
    0,
     
    /* Render function */
    (AMF_RenderFunction)AMF_Copier_C_Render,  // render function 
    
    /* Default bypass */
    (void *)0,
    
    /* Input descriptor - 1 input, and it is not stereo. */
    1, 0,

    /* Output descriptor - 1 output, and it is not stereo. */
    1, 0,
};


extern void AMF_Copier_S_Render(AMF_Copier_G * restrict instance,AMF_Signal * restrict * buffers,int tickSize);

#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
static SEG_MOD_FAST_CODE void AMF_Copier_G_Render(AMF_Copier_G * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    /* We know it's even. Use SIMD implementation */
    AMF_Copier_S_Render(instance,buffers,instance->size/2);
}


/*
 * Module baseclass structure describing the module environment.
 */
SEG_MOD_SLOW_CONST const AMF_ModuleClass AMFClassCopier_G = {
    
    /* Flags */
    0,
     
    /* Render function */
    (AMF_RenderFunction)AMF_Copier_G_Render,  // render function 
    
    /* Default bypass */
    (void *)0,
    
    /* Input descriptor - 1 input, and it is not stereo. */
    1, 0,

    /* Output descriptor - 1 output, and it is not stereo. */
    1, 0,
};






