// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/common/layoutsupport/2.5.0/Source/AMF_Copier_S.c#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $


#include "AMF_Copier_S.h"

#if    1    // No assembly

#ifdef __ADSPBLACKFIN__
#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
SEG_MOD_FAST_CODE void AMF_Copier_S_Render(AMF_Copier_S * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    int i;
    AMF_Signal *in = buffers[0];
    AMF_Signal *out = buffers[1];
    if (in == out)
        return;
    tickSize *= 2; /* Stereo */
    for (i=0; i<tickSize; i++) 
        out[i] = in[i];
}
#else // SHARC 
#ifndef NO_OPTIMIZE
#pragma optimize_for_speed
#endif
SEG_MOD_FAST_CODE void AMF_Copier_S_Render(AMF_Copier_S * restrict instance,AMF_Signal * restrict * buffers,int tickSize) {
    int i;
    AMF_Signal *in = buffers[0];
    AMF_Signal *out = buffers[1];
    if (in == out)
        return;
    tickSize *= 2; /* Stereo */
#pragma SIMD_for
    for (i=0; i<tickSize; i++) 
        out[i] = in[i];
}
#endif
#endif

/*
 * Module baseclass structure describing the module environment.
 */
SEG_MOD_SLOW_CONST const AMF_ModuleClass AMFClassCopier_S = {
    
    /* Flags */
    0,
     
    /* Render function */
    (AMF_RenderFunction)AMF_Copier_S_Render,  // render function 
    
    /* Default bypass */
    (void *)0,
    
    /* Input descriptor - 1 input, and it is stereo. */
    1, 1,

    /* Output descriptor - 1 output, and it is stereo. */
    1, 1,
};







