%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                              %
%                      Bang & Olufsen A/S                      %
%                                                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Project name  : DIG-HT
%
% Module title  : Capture.c
%
% Module name   :
%
% Module type   :
% 
% Description   :   Matlab interface for VA-Capture function
% 
% Created       :   LYL 14-09-2006
% 
% Responsible   :   LYL	
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Changes history:
% 
% Identifier    Date     Made by    Change
%---------------------------------------------------------------
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [dataBuffer, numIn] = Capture(blockName);
path(path, 'C:\Program Files\Analog Devices\VisualAudio 2.5\Matlab');
path(path, 'C:\Program Files\Analog Devices\VisualAudio 2.5\MATLAB\mex');
path(path, 'C:\Program Files\Analog Devices\VisualAudio 2.5\MATLAB\ModuleDesigners');
path(path, 'C:\Program Files\Analog Devices\VisualAudio 2.5\Designer');


captureBlock = va_module(blockName,0);
captureBlock.matlabReading = 1;
SelectBuffer = captureBlock.bufReadReady;
if SelectBuffer == 0
    tmpBuffer = captureBlock.valueBuffer0;
else
    tmpBuffer = captureBlock.valueBuffer1;
end
captureBlock.matlabReading = 0;


numIn = length(captureBlock.valueBuffer1)/captureBlock.bufferSize;
bufferSize = captureBlock.bufferSize;
for i = 0:numIn-1
    dataBuffer(i+1,:) = tmpBuffer(1+i*bufferSize:bufferSize*(i+1));
end


