function [OUT] = IMD(Y,f1,f2,fs,L,n,nf);
    % Y = spectrum, f1=the fundamental frequency, f2=the intermodulation frequency.  
    % fs = sampling frequency, L= size of spectrum vector.
    % n = the maximum order of distortion included.
    % nf - number of neighbour frequencies.
    % k - index for all frequency components. intermodulation frequency +
    %     distortion freq. comp.
    % k0 - index for intermodulation frequency.
        
    % removing distortion frequency components less than zero.
    n_neg = -n;
    if n>round((f2-20)/f1-0.5)
        n_neg = -round((f2-20)/f1-0.5);
    end
    
    for m=n_neg:n                                         % finding index for distortion frequencies 
        k(m-n_neg+1) = round((f2+m*f1)/(fs/(2*L)));       % + intermodulation frequency.
    end
    
    k0 = round((f2)/(fs/(2*L)));                    % finding index for intermodlation frequency.
    Y1 = 0;
    Y0 = 0;
    for i=-nf : nf
        Y1 = Y1 + (sum((abs(Y(k+i))).^2))-(abs(Y(k0+i))).^2;   % summing the energy in distortion.
        Y0 = Y0+ (sum((abs(Y(k+i))).^2));                     % summing the total energy.
    end
    OUT = 100*sqrt(Y1/Y0);
end