function [X ] = Linear_Loudspeaker_Model(u,a,b,c,M,Re,Rt,R2,L2,fs);
     
%linear modelling exercise
%X(n)=state vector
%Bl=force factor vector
%C=total compliance vector
%M=total inductance vector
%R=Electrical resistance
%fs=sampling rate
Bl = b(1);
Le = a(1);
C = c(1);

dL2 = 0;
dLe = 0;

Ts=1/fs;
%X=[i(n) ; x(n) ; 1/Ts*(x(];
        
        %calculation of F and G matrix values
        F = [ 1-(Re+R2)/Le*Ts    R2/Le*Ts        0      -Ts/Le*(Bl);
              R2*Ts/L2         1-(R2*Ts/L2)      0      0;
                 0                 0             1                 Ts ;
               (Ts*Bl/M)           0         (-Ts/(C*M))   (1-Rt*Ts/M)     ];
    
        G = [Ts/Le ; 0 ; 0; 0];
          
X=zeros(4,length(u));

X(:,1)= [ 0
          0
          0
          0  ];

for k=1:(length(u))
    X(:,k+1) = F*X(:,k) + G*u(k);
end

end