function [X ] = Linear_Loudspeaker_Model_Simplified(u,a,b,c,M,Re,Rt,fs);
     
%linear modelling exercise
%X(n)=state vector
%Bl=force factor vector
%C=total compliance vector
%M=total inductance vector
%R=Electrical resistance
%fs=sampling rate
Bl = b(1);
Le = a(1);
C = c(1);

Ts=1/fs;
%X=[i(n) ; x(n) ; 1/Ts*(x(];
F=[(1-((Re/Le)*Ts)) 0 (-Ts*Bl/Le); 
    0 1 Ts;  
    (Ts*Bl/M) (-Ts/(C*M)) (1-Rt*Ts/M)];
G=[Ts/Le ; 0 ; 0];

X=zeros(3,length(u));
X(:,1)= [ 0
          0
          0  ];

for k=1:(length(u))
    X(:,k+1) = F*X(:,k) + G*u(k);
end

end