function [X ] = Loudspeaker_Model(u,L2_0,R2_0,M,Re,Rt,fs,Le_tab,Bl_tab,C_tab,dLe_tab,table_size,max_x,stepsize_table, str);
    %Nonlinear modelling exercise
    %X(n)=state vector
    %Bl=force factor vector
    %c=total compliance vector
    %b-total Bl vector
    %M=total mass
    %Re=Electrical resistance
    %Rt=Mechanical resistance
    %R2=electrical resistance due the eddy current losses
    %fs=sampling rate
    %unused output S1 S2 S3 S4 S5 S6 S7
    
    str = 1;
    Ts=1/fs;
    Le0 = Le_tab(table_size/2); % converting to Henry

    X=zeros(4,length(u));

    X(:,1)= [   0 
                0
                0
                0   ];

    % simulation loop
    for k=1:64000%(length(u))
%        x2 = round(x1*round(tabel_size/20)+round(tabel_size/2))+1;%adding one since tabel starts at 1 (not zero)
%        index = round(X(3,k)/stepsize_table + table_size/2 + 0.5);
       index_realvalue = X(3,k)/stepsize_table + table_size/2;
       index = round(index_realvalue-0.5);
       index2 = round( (index-1600).*str+1600);
       dx  = index_realvalue - index;
       
       Bl_diff  = Bl_tab(index+1) - Bl_tab(index);
       Le_diff  = Le_tab(index+1) - Le_tab(index);
       C_diff   = C_tab(index2+1) - C_tab(index2);
       dLe_diff = dLe_tab(index+1) - dLe_tab(index);
       
       Bl  = Bl_tab(index)  + dx*Bl_diff;
       Le  = Le_tab(index)  + dx*Le_diff;
       C   = C_tab(index2)   + (dx*str)*C_diff ;
       dLe = dLe_tab(index) + dx*dLe_diff;
       
       L2 = Le*L2_0/Le0;
       R2 = Le*R2_0/Le0;
       dL2 = dLe*L2_0/Le0;
               
       %calculation of F and G matrix values 
        F = [ 1-(Re+R2)/Le*Ts    R2/Le*Ts        0      -Ts/Le*(X(1,k)*dLe+Bl);
              R2*Ts/L2         1-(R2*Ts/L2)      0      -Ts/L2*X(2,k)*dL2;
                 0                 0             1                 Ts ;
               (Ts*Bl/M)           0         (-Ts/(C*M))   (1-Rt*Ts/M)     ];
    
        G = [Ts/Le ; 0 ; 0; 0];
    
        %calculating the state variables
        X(:,k+1) = F*X(:,k) + G*u(k);
        
    end
end