function [OUT] = Nonlinear_Loudspeaker_Model_Simplified(w,L2_0,R2_0,M,Re,Rt,fs,Le_tab,Bl_tab,C_tab,dLe_tab,table_size,max_x,stepsize_table);
     
%linear modelling exercise
%X(n)=state vector
%Bl=force factor vector
%C=total compliance vector
%M=total inductance vector
%R=Electrical resistance
%fs=sampling rate

Le0 = Le_tab(table_size/2);
Ts=1/fs;
%X=[i(n) ; x(n) ; 1/Ts*(x(];
% Bl = b(1);
%     Le = a(1)*0.001;
%     C = c(1)*0.001;

%X=[i(n) ; x(n) ; 1/Ts*(x(];
X=zeros(3,length(w));
X(:,1)= [ 0
          0
          0  ];
str = 1;
      
for k=1:(length(w))
    index_realvalue = X(2,k)/stepsize_table + table_size/2;
       index = round(index_realvalue-0.5);
       index2 = round( (index-1600).*str+1600);
       dx  = index_realvalue - index;
       
       Bl_diff  = Bl_tab(index+1) - Bl_tab(index);
       Le_diff  = Le_tab(index+1) - Le_tab(index);
       C_diff   = C_tab(index2+1) - C_tab(index2);
       dLe_diff = dLe_tab(index+1) - dLe_tab(index);
       
       Bl  = Bl_tab(index)  + dx*Bl_diff;
       Le  = Le_tab(index)  + dx*Le_diff;
       C   = C_tab(index2)   + (dx*str)*C_diff ;
       dLe = dLe_tab(index) + dx*dLe_diff;

    F=[(1-((Re/Le)*Ts)) 0 -Ts/Le*(X(1,k)*dLe+Bl); 
        0 1 Ts;  
        (Ts*Bl/M) (-Ts/(C*M)) (1-Rt*Ts/M)];
    G=[Ts/Le ; 0 ; 0];
    
    X(:,k+1) = F*X(:,k) + G*w(k);
end
OUT(1,:) = X(1,:);
OUT(3,:) = X(2,:);
OUT(4,:) = X(3,:);
end