function Plot_Nonlinear_Parameters(a,b,c,k,fs);
stepsize = 0.000001;
x = -0.020:stepsize:0.020;

Bl = polyval(fliplr(b),x);
C = polyval(fliplr(c),x);
Le = (polyval(fliplr(a),x));
K_p = polyval(fliplr(k),x);
K = zeros(1,length(C));
K = 1./C;

dLe = polyval(fliplr(a(2:9).*[1 2 3 4 5 6 7 8]),x);
dBl = polyval(fliplr(b(2:9).*[1 2 3 4 5 6 7 8]),x);
dC = polyval(fliplr(c(2:9).*[1 2 3 4 5 6 7 8]),x);
ddLe = polyval(fliplr(a(3:9).*[2 6 12 20 30 42 56]),x);

dBl2 = zeros(1,length(Bl));
dC2 = zeros(1,length(C));
dK = zeros(1,length(C));
dLe2 = zeros(1,length(Le));

for k=1:40000
    dBl2(k) = (Bl(k+1)-Bl(k))/stepsize;
    dC2(k) = (C(k+1)-C(k))/stepsize;
    dLe2(k) = (Le(k+1)-Le(k))/stepsize;
    dK(k) = (K(k+1)-K(k))/stepsize;
end
%         K = 1/C;
%         C_prev = 0.001*polyval(fliplr(c),x3-0.001);
%         dK = (C-C_prev)/0.001;
%Bl(2:end)-Bl(1:end-1)
figure(40)
subplot(4,3,1)
    plot(x,Bl)
    axis([-0.020 0.02 0 8])%max(Bl)*1.05])
    title('Force-factor,Bl')
    grid
subplot(4,3,2)
    plot(x,C)
    axis([-0.020 0.02 0 0.0012])%max(C)*1.05])%0.0025])
    title('Compliance, C')
    grid
subplot(4,3,3)
    plot(x,Le)
    axis([-0.020 0.02 0 4.5558e-004])%max(Le(12000:20000))*1.05])
    title('Inductance, Le')
    grid
subplot(4,3,4)
    plot(x,dBl)
    axis([-0.020 0.02 -8e3 8e3])%max(Bl)*1.05])
    title('First derivate of force-factor dBl/dx')
    grid
subplot(4,3,5)
    plot(x,dC)
    axis([-0.020 0.02 -0.0009e3 0.0009e3])%max(C)*1.05])%0.0025])
    title('d_Cms')
    grid
subplot(4,3,6)
    plot(x,dLe)
    axis([-0.020 0.02 -6.1558e-002 6.1558e-002])%max(Le(12000:20000))*1.05])
    title('d_Le')
    grid
subplot(4,3,7)
    plot(x,dBl2)
    axis([-0.020 0.02 -8e3 8e3])%max(Bl)*1.05])
    title('d_Bl2')
    grid
subplot(4,3,8)
    plot(x,dC2)
    axis([-0.020 0.02 -0.0009e3 0.0009e3])%max(C)*1.05])%0.0025])
    title('d_C2')
    grid
subplot(4,3,9)
    plot(x,dLe2)
    axis([-0.020 0.02 -6.1558e-002 6.1558e-002])%max(Le(12000:20000))*1.05])
    title('d_Le2')
    grid
subplot(4,3,10)
    plot(x,K)
    axis([-0.020 0.02 0 6e3])%max(Bl)*1.05])
    title('K')
    grid
subplot(4,3,11)
    plot(x,K_p)
    axis([-0.020 0.02 0 6e3])%max(Bl)*1.05])
    title('K_p')
    grid
subplot(4,3,12)
    plot(x,ddLe)
    axis([-0.020 0.02 -7 7])%max(Bl)*1.05])
    title('ddLe')
    grid



end